# $Revision: 1.25 $, $Date: 2008/07/27 22:59:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	XML::SimpleObject perl module
Summary(pl.UTF-8):	Moduł perla XML::SimpleObject
Name:		perl-XML-SimpleObject
Version:	0.53
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/XML-SimpleObject-%{version}.tar.gz
# Source0-md5:	7826c2f27c36b90bfe731e0001da1021
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 1.30
BuildRequires:	perl-XML-Parser
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SimpleObject is a small and simple package that takes the output
of XML::Parser as a tree, and gives simple methods for accessing the
structure of an XML document. It is very lightweight, but provides the
simplest access to an XML document possible. It does not subclass
XML::Parser; rather, it is meant to serve purely as an object struct
for an outgoing tree.

%description -l pl.UTF-8
XML::SimpleObject jest małym i prostym pakietem, który przyjmuje
wyjście z XML::Parser jako drzewo i pozwala na łatwy dostęp do
struktury dokumentu XML. Jest bardzo lekki, ale daje najprostszy
możliwy dostęp do dokumentów XML. Nie jest to podklasa XML::Parser -
natomiast ma służyć za obiektową strukturę dla wychodzącego drzewa.

%prep
%setup -q -n XML-SimpleObject%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/XML/SimpleObject.pm
%{perl_vendorlib}/XML/SimpleObject
%{perl_vendorlib}/XML/ex.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SimpleObject.spec,v $
Revision 1.25  2008/07/27 22:59:13  arekm
- release 2

Revision 1.24  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.22  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.21  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/05 06:28:48  ankry
- license unification, cosmetics

Revision 1.19  2004/04/11 16:45:01  migo
- up to 0.52
- make tests conditional
- fixed license, cosmetics

Revision 1.18  2003/09/09 10:24:55  ankry
- spaces -> tab

Revision 1.17  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:43  radek
- BR: perl-devel >= 1:5.8.0; do not BR: perl

Revision 1.13  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.11  2003/02/18 15:39:16  ankry
- massive attack: change CPAN URLs

Revision 1.10  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 08:06:45  depesz
- new version; should work; STBR

Revision 1.8  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.7  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/03/03 21:52:10  marcus
- rel.2.

Revision 1.5  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/10 15:38:42  depesz
adapterized

Revision 1.3  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.2  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2002/01/02 13:57:43  lb
initial release
